<div class="login-page" [@routerTransition]>
    <div class="row justify-content-md-center">
        <div class="col-md-4">
            <img src="assets/images/logo.png" width="150px" class="user-avatar" />
            <h1>단위수량 시스템</h1>
            <form role="form" [formGroup]="credentialsForm" (ngSubmit)="onLoggedin()">
                <div class="form-content">
                    <div class="form-group">
                        <input type="text" class="form-control input-underline input-lg" formControlName="username" placeholder="{{ 'Username' | translate }}">
                    </div>

                    <div class="form-group">
                        <input type="password" class="form-control input-underline input-lg" formControlName="password" placeholder="{{ 'Password' | translate }}">
                    </div>
                </div>

                <button class="btn rounded-btn" type="submit" [disabled]="!credentialsForm.valid">{{ 'Log in' | translate }}</button>
                <!--
                <a class="btn rounded-btn" [routerLink]="['/dashboard']" (click)="onLoggedin()">{{ 'Log in' | translate }}</a>
                -->
            </form>
        </div>
    </div>
    <br /><br />
    <app-footer></app-footer>

</div>
